package com.bonus.core.device.door.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("dc_auto_rule_trigger")
@ApiModel(
   value = "DcAutoRuleTrigger对象",
   description = ""
)
public class DcAutoRuleTrigger implements Serializable {
   private static final long serialVersionUID = 1L;
   private Integer id;
   @ApiModelProperty("规则id")
   private Integer ruleId;
   @ApiModelProperty("1 新增人员 2修改人员 3人员注销 ")
   private Integer triggerType;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Integer getRuleId() {
      return this.ruleId;
   }

   public Integer getTriggerType() {
      return this.triggerType;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DcAutoRuleTrigger setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DcAutoRuleTrigger setRuleId(final Integer ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DcAutoRuleTrigger setTriggerType(final Integer triggerType) {
      this.triggerType = triggerType;
      return this;
   }

   public DcAutoRuleTrigger setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DcAutoRuleTrigger setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DcAutoRuleTrigger setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DcAutoRuleTrigger setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
